package com.ytpm.dao;

import com.ytpm.agent.model.YtAppPlacement;
import com.ytpm.agent.param.PlacementListParam;
import com.ytpm.agent.view.AgentPlacementView;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper
public interface PlacementMapper {
    /**
     * 查询广告位列表
     */
    List<AgentPlacementView> selectList(PlacementListParam param);

    /**
     * 增加广告位
     */
    void addOne(YtAppPlacement placement);

    /**
     * 修改广告位
     */
    void updateOne(YtAppPlacement placement);

    /**
     * 删除广告位
     */
    void deleteOne(@Param("placementId") String placementId);
}
